#pragma once

#include "CoreMinimal.h"
#include "DBDTableRowBase.h"
#include "EHoHDisplayElementType.h"
#include "UObject/NoExportTypes.h"
#include "HoHDisplayData.generated.h"

USTRUCT(BlueprintType)
struct FHoHDisplayData : public FDBDTableRowBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EHoHDisplayElementType ElementType;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FSoftObjectPath BackgroundImagePath;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FSoftObjectPath RarityTintImagePath;

public:
	DEADBYDAYLIGHT_API FHoHDisplayData();
};

FORCEINLINE uint32 GetTypeHash(const FHoHDisplayData) { return 0; }
